{% load static %}

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="keywords" content="advanced search custom, agency, agent, business, clean, corporate, directory, google maps, homes, listing, membership packages, property, real estate, real estate agent, realestate agency, realtor">
<meta name="description" content="Homeet HSE — квартиры для вышкинцев">
<meta name="CreativeLayers" content="ATFN">
<!-- css file -->
<link rel="stylesheet" href="{% static 'general/css/bootstrap.min.css' %}">
<link rel="stylesheet" href="{% static 'general/css/style.css' %}">
<link rel="stylesheet" href="{% static 'general/css/dashbord_navitaion.css' %}">

<!-- Responsive stylesheet -->
<link rel="stylesheet" href="{% static 'general/css/responsive.css' %}">
<!-- Title -->
<title>Homeet HSE</title>
<!-- Favicon -->
<link href="{% static 'general/images/favicon.svg' %}" sizes="128x128" rel="shortcut icon" type="image/x-icon" />
<link href="{% static 'general/images/favicon.svg' %}" sizes="128x128" rel="shortcut icon" />

<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>
<div class="wrapper">
	<div class="preloader"></div>
	<div id="page" class="stylehome1 h0">
		<div class="mobile-menu">
			<div class="header stylehome1">
				<div class="main_logo_home2 text-center">
					<img class="mt-2 h-75" src="{% static 'general/images/new-logo.svg' %}">
				</div>
				<ul class="menu_bar_home2">
					<li class="list-inline-item list_s"></li>
					<li class="list-inline-item"><a href="#menu"><span></span></a></li>
				</ul>
			</div>
		</div>
		<!-- /.mobile-menu -->
        <nav id="menu" class="stylehome1">
            <ul>
                {% if user.type == 'STUDENT' %}
                <li><a href="https://info.homeet.styleru.org" target=”_blank”>О сервисе</a></li>
                {% else %}
                <li><a href="https://info.homeet.styleru.org/realtor" target=”_blank”>О сервисе</a></li>
                {% endif %}
                <li><a href="{% url 'all-announcement' %}?sort=flat">Квартиры</a></li>
                <li><a href="{% url 'all-announcement' %}?sort=room">Комнаты</a></li>
                
                <li><a class="dropdown-item" href="
                    {% if user.type == 'STUDENT' %}
                        {% url 'student-profile' %}
                    {% else %}
                        {% url 'realtor-profile' %}
                    {% endif %}"><span>Профиль</span></a></li>
                <li class="treeview"><a href="{% url 'create-announcement' %}"><span>Сдать квартиру</span></a></li>
                <li class="treeview"><a href="{% url 'create-room' %}"><span>Сдать комнату</span></a></li>
                <li><a class="dropdown-item" href="{% url 'property' %}">Мои объявления</a></li>
                <li><a class="dropdown-item" href="https://vk.me/ruhomeet"
                    target="_blank">Поддержка</a></li>
                <li><a class="dropdown-item" href="{% url 'logout' %}">Выйти</a></li>
                

            </ul>
        </nav>
    </div>
	<!-- Main Header Nav -->
	<header class="header-nav menu_style_home_one style2 menu-fixed main-menu">
		<div class="container-fluid p0">
		    <!-- Ace Responsive Menu -->
		    <nav>
		        <!-- Menu Toggle btn-->
		        <div class="menu-toggle">
		            <img class="nav_logo_img img-fluid" src="{% static 'general/images/header-logo.png' %}" alt="header-logo.png">
		            <button type="button" id="menu-btn">
		                <span class="icon-bar"></span>
		                <span class="icon-bar"></span>
		                <span class="icon-bar"></span>
		            </button>
		        </div>
		        <!-- <a href="#" class="navbar_brand float-left dn-smd">
		            <img class="logo1 img-fluid" src="{% static 'general/images/header-logo2.png' %}" alt="header-logo.png">
		            <img class="logo2 img-fluid" src="{% static 'general/images/header-logo2.png' %}" alt="header-logo2.png">
		            <span>Homeet HSE</span>
		        </a> -->
		        <!-- Responsive Menu Structure-->
		        <!--Note: declare the Menu style in the data-menu-style="horizontal" (options: horizontal, vertical, accordion) -->
		        <ul id="respMenu" class="ace-responsive-menu text-right" data-menu-style="horizontal">
                    {% if user.type == 'STUDENT' %}
                         <li><a class="text-white" href="https://info.homeet.styleru.org" target=”_blank”>О сервисе</a></li>
                    {% else %}
                         <li><a class="text-white" href="https://info.homeet.styleru.org/realtor" target=”_blank”>О сервисе</a></li>
                    {% endif %}
					<li><a class="text-white" href="{% url 'all-announcement' %}?sort=flat">Квартиры</a></li>
					<li><a class="text-white" href="{% url 'all-announcement' %}?sort=room">Комнаты</a></li>
	                <li class="user_setting">
						<div class="dropdown">
	                		<a class="btn dropdown-toggle" href="#" data-toggle="dropdown"><img class="rounded-circle" src="{{ user.photo.url }}" alt="e1.png"> 
								<span class="text-white dn-1199">
									{{ user.first_name }} {{ user.last_name }}
								</span></a>
						    {% if user.type == 'REALTOR' %}
                            <span class="opacity-4 text-white font-italic">{{ user.status }}</span>
                            {% endif %}
                            <div class="dropdown-menu">
						    	<div class="user_set_header">
						    		<img class="float-left" src="{{ user.photo.url }}" alt="e1.png">
							    	<p>{{ user.first_name }} {{ user.last_name }}<br><span class="address">{{ user.email }}</span></p>
						    	</div>
						    	<div class="user_setting_content">
									<a class="dropdown-item active" href="
                                    {% if user.type == 'STUDENT' %}
                                        {% url 'student-profile' %}
                                    {% else %}
                                        {% url 'realtor-profile' %}
                                    {% endif %}">Профиль</a>
									<a class="dropdown-item" href="{% url 'property' %}">Мои объявления</a>
									<a class="dropdown-item" href="https://vk.me/ruhomeet" target="_blank">Поддержка</a>
									<a class="dropdown-item" href="{% url 'logout' %}">Выйти</a>
						    	</div>
						    </div>
						</div>
			        </li>
	            </ul>
		    </nav>
		</div>
	</header>

    <div class="dashboard_sidebar_menu dn-992">
	    <ul class="sidebar-menu">
	   			   		<li><a class="header-check" href="/announcement/all/">
							<img class="h-75 mb-3" src="{% static 'general/images/new-logo.svg' %}">
							</a>
               </li>
			   <li class="title"><span>Основное</span></li>
	    	<li class="treeview"><a href="{% url 'create-announcement' %}"><i class="flaticon-layers"></i><span>Сдать квартиру</span></a></li>
            <li class="treeview"><a href="{% url 'create-room' %}"><i class="flaticon-layers"></i><span>Сдать комнату</span></a></li>

	   		<li class="title"><span>Управление</span></li>
	      	<li class="treeview">
		        <a href="{% url 'property' %}"><i class="flaticon-home"></i> <span>Мои объявления</span></a>
	      	</li>


	   		<li class="title"><span>Управление аккаунтом</span></li>
		    <li><a href="
            {% if user.type == 'STUDENT' %}
                {% url 'student-profile' %}
            {% else %}
                {% url 'realtor-profile' %}
            {% endif %}"><i class="flaticon-user"></i> <span>Профиль</span></a></li>
		    <li><a href="{% url 'logout' %}"><i class="flaticon-logout"></i> <span>Выйти</span></a></li>
	    </ul>
    </div>

	<!-- Our Dashbord -->
	<section class="our-dashbord dashbord bgc-f7 pb50 pt-5">
		<div class="container-fluid ovh">
			<div class="row pt-md-5">
				<div class="col-lg-3 col-xl-3 dn-992 pl0"></div>
				<div class="col-lg-9 col-xl-9 maxw100flex-992">
					<div class="row ">
						<div class="col-lg-12 mb-4 mt-4">
							<div class="breadcrumb_content style2">
								<h2 class="breadcrumb_title">Мои объявления</h2>
							</div>
						</div>
						<div class="col-lg-12 " style="min-height: 400px;">
							<div class="my_dashboard_review mb40">
								<div class="col-lg-12">
									<div class="savesearched_table">
										<div class="table-responsive mt0">
											<table class="table">
												<thead class="thead-light">
											    	<tr>
											    		<th scope="col">Объявление</th>
											    		<th class="dn-lg" scope="col"></th>
											    		<th class="dn-lg" scope="col"></th>
											    		<th scope="col"></th>
											    		<th scope="col"></th>
											    		<th scope="col">Статус</th>
											    		<th scope="col">Действие</th>
											    	</tr>
												</thead>
                                                {% for announcement in announcements %}
												<tbody>
											    	<tr>
											    		<th class="title" scope="row">{{ announcement.title }}</th>
											    		<td class="dn-lg"></td>
											    		<td class="dn-lg"></td>
											    		<td></td>
											    		<td></td>
											    		<td class="para
											    		{% if announcement.status == 'Активно' %}
											    		active_property
                                                        {% elif announcement.status == 'На модерации' %}
                                                        moderated_property
                                                        {% else %}
                                                        inactive_property
                                                        {% endif %}">{{ announcement.status }}</td>
											    		<td>
											    			<ul class="view_edit_delete_list mb0">
                                                                {% if announcement.is_active %}
											    				<li class="list-inline-item" data-toggle="tooltip" data-placement="top" title="Вкл/откл объявление"><a href="{% url 'switch' %}?id={{ announcement.id }}"><span class="flaticon-view"></span></a></li>
											    				{% else %}
                                                                <li class="list-inline-item" data-toggle="tooltip" data-placement="top" title="Вкл/откл объявление" style="background: red"><a href="{% url 'switch' %}?id={{ announcement.id }}"><span class="flaticon-view"></span></a></li>
                                                                {% endif %}
                                                                {% if announcement.type == 'Квартира' %}
                                                                <li class="list-inline-item" data-toggle="tooltip" data-placement="top" title="Изменить объявление"><a href="{% url 'flat-edit' id=announcement.id %}"><span class="flaticon-edit"></span></a></li>
                                                                {% else %}
                                                                <li class="list-inline-item" data-toggle="tooltip" data-placement="top" title="Изменить объявление"><a href="{% url 'room-edit' id=announcement.id %}"><span class="flaticon-edit"></span></a></li>
                                                                {% endif %}
											    			</ul>
											    		</td>
											    	</tr>
                                                    {% endfor %}
												</tbody>
											</table>
										</div>
									</div>
								</div>
							</div>
						</div>
                        <div class="col-lg-12 mt20">
							<div class="mbp_pagination">
								<ul class="page_navigation">
                                    {% if announcements.has_previous %}
                                        <li class="page-item">
								    	    <a class="page-link" href="?page={{ announcements.previous_page_number }}" tabindex="-1" aria-disabled="true"> <span class="flaticon-left-arrow"></span> Prev</a>
								        </li>
                                    {% endif %}

                                    <li class="page-item active"><a class="page-link" href="?page=1">{{ announcements.number }}</a></li>

                                    {% if announcements.has_next %}
                                        <li class="page-item">
                                            <a class="page-link" href="?page={{ announcements.next_page_number }}"><span class="flaticon-right-arrow"></span></a>
                                        </li>
                                    {% endif %}
								</ul>
							</div>
						</div>
					</div>
					<div class="row mt50">
						<div class="col-lg-12">
							<div class="copyright-widget text-center">
								<p>© 2022 Homeet. Сделано Бизнес в стиле.RU</p>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
<a class="scrollToHome" href="#"><i class="flaticon-arrows"></i></a>
</div>
<!-- Wrapper End -->
<script type="text/javascript" src="{% static 'general/js/jquery-3.3.1.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/jquery-migrate-3.0.0.min.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/popper.min.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/bootstrap.min.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/jquery.mmenu.all.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/ace-responsive-menu.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/bootstrap-select.min.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/snackbar.min.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/simplebar.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/parallax.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/scrollto.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/jquery-scrolltofixed-min.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/jquery.counterup.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/timepicker.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/wow.min.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/smartuploader.js' %}"></script>
<script type="text/javascript" src="{% static 'general/js/dashboard-script.js' %}"></script>
<!-- Custom script for all pages -->
<script type="text/javascript" src="{% static 'general/js/script.js' %}"></script>
</body>
</html>